/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * mix(dvec3(np.float64(-2.0)lf, np.float64(-2.0)lf, np.float64(-2.0)lf), dvec3(np.float64(-3.0)lf, np.float64(-3.0)lf, np.float64(3.0)lf), bvec3(true, false, true)) => dvec3(np.float64(-3.0)lf, np.float64(-2.0)lf, np.float64(3.0)lf)
 * mix(dvec3(np.float64(-2.0)lf, np.float64(2.0)lf, np.float64(2.0)lf), dvec3(np.float64(3.0)lf, np.float64(-3.0)lf, np.float64(-3.0)lf), bvec3(false, true, false)) => dvec3(np.float64(-2.0)lf, np.float64(-3.0)lf, np.float64(2.0)lf)
 * mix(dvec3(np.float64(2.0)lf, np.float64(2.0)lf, np.float64(-2.0)lf), dvec3(np.float64(3.0)lf, np.float64(3.0)lf, np.float64(-3.0)lf), bvec3(true, false, true)) => dvec3(np.float64(3.0)lf, np.float64(2.0)lf, np.float64(-3.0)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(mix(dvec3(np.float64(-2.0)lf, np.float64(-2.0)lf, np.float64(-2.0)lf), dvec3(np.float64(-3.0)lf, np.float64(-3.0)lf, np.float64(3.0)lf), bvec3(true, false, true)), dvec3(np.float64(-3.0)lf, np.float64(-2.0)lf, np.float64(3.0)lf)) <= np.float64(4.6904157598234305e-05)lf ? 1 : -1] array0;
  double[distance(mix(dvec3(np.float64(-2.0)lf, np.float64(2.0)lf, np.float64(2.0)lf), dvec3(np.float64(3.0)lf, np.float64(-3.0)lf, np.float64(-3.0)lf), bvec3(false, true, false)), dvec3(np.float64(-2.0)lf, np.float64(-3.0)lf, np.float64(2.0)lf)) <= np.float64(4.123105625617661e-05)lf ? 1 : -1] array1;
  double[distance(mix(dvec3(np.float64(2.0)lf, np.float64(2.0)lf, np.float64(-2.0)lf), dvec3(np.float64(3.0)lf, np.float64(3.0)lf, np.float64(-3.0)lf), bvec3(true, false, true)), dvec3(np.float64(3.0)lf, np.float64(2.0)lf, np.float64(-3.0)lf)) <= np.float64(4.6904157598234305e-05)lf ? 1 : -1] array2;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length());
}
