/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * abs(i64vec3(np.int64(-10)l, np.int64(-9)l, np.int64(-9)l)) => i64vec3(np.int64(10)l, np.int64(9)l, np.int64(9)l)
 * abs(i64vec3(np.int64(-8)l, np.int64(-8)l, np.int64(-7)l)) => i64vec3(np.int64(8)l, np.int64(8)l, np.int64(7)l)
 * abs(i64vec3(np.int64(-7)l, np.int64(-6)l, np.int64(-6)l)) => i64vec3(np.int64(7)l, np.int64(6)l, np.int64(6)l)
 * abs(i64vec3(np.int64(-5)l, np.int64(-5)l, np.int64(-4)l)) => i64vec3(np.int64(5)l, np.int64(5)l, np.int64(4)l)
 * abs(i64vec3(np.int64(-4)l, np.int64(-3)l, np.int64(-3)l)) => i64vec3(np.int64(4)l, np.int64(3)l, np.int64(3)l)
 * abs(i64vec3(np.int64(-2)l, np.int64(-2)l, np.int64(-1)l)) => i64vec3(np.int64(2)l, np.int64(2)l, np.int64(1)l)
 * abs(i64vec3(np.int64(-1)l, np.int64(-1)l, np.int64(0)l)) => i64vec3(np.int64(1)l, np.int64(1)l, np.int64(0)l)
 * abs(i64vec3(np.int64(0)l, np.int64(0)l, np.int64(0)l)) => i64vec3(np.int64(0)l, np.int64(0)l, np.int64(0)l)
 * abs(i64vec3(np.int64(1)l, np.int64(1)l, np.int64(2)l)) => i64vec3(np.int64(1)l, np.int64(1)l, np.int64(2)l)
 * abs(i64vec3(np.int64(2)l, np.int64(3)l, np.int64(3)l)) => i64vec3(np.int64(2)l, np.int64(3)l, np.int64(3)l)
 * abs(i64vec3(np.int64(4)l, np.int64(4)l, np.int64(5)l)) => i64vec3(np.int64(4)l, np.int64(4)l, np.int64(5)l)
 * abs(i64vec3(np.int64(5)l, np.int64(6)l, np.int64(6)l)) => i64vec3(np.int64(5)l, np.int64(6)l, np.int64(6)l)
 * abs(i64vec3(np.int64(6)l, np.int64(7)l, np.int64(7)l)) => i64vec3(np.int64(6)l, np.int64(7)l, np.int64(7)l)
 * abs(i64vec3(np.int64(8)l, np.int64(8)l, np.int64(9)l)) => i64vec3(np.int64(8)l, np.int64(8)l, np.int64(9)l)
 * abs(i64vec3(np.int64(9)l, np.int64(10)l, np.int64(10)l)) => i64vec3(np.int64(9)l, np.int64(10)l, np.int64(10)l)
 * abs(i64vec3(np.int64(11)l, np.int64(11)l, np.int64(12)l)) => i64vec3(np.int64(11)l, np.int64(11)l, np.int64(12)l)
 * abs(i64vec3(np.int64(12)l, np.int64(13)l, np.int64(13)l)) => i64vec3(np.int64(12)l, np.int64(13)l, np.int64(13)l)
 * abs(i64vec3(np.int64(14)l, np.int64(14)l, np.int64(15)l)) => i64vec3(np.int64(14)l, np.int64(14)l, np.int64(15)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal(abs(i64vec3(np.int64(-10)l, np.int64(-9)l, np.int64(-9)l)), i64vec3(np.int64(10)l, np.int64(9)l, np.int64(9)l))) ? 1 : -1] array0;
  float[all(equal(abs(i64vec3(np.int64(-8)l, np.int64(-8)l, np.int64(-7)l)), i64vec3(np.int64(8)l, np.int64(8)l, np.int64(7)l))) ? 1 : -1] array1;
  float[all(equal(abs(i64vec3(np.int64(-7)l, np.int64(-6)l, np.int64(-6)l)), i64vec3(np.int64(7)l, np.int64(6)l, np.int64(6)l))) ? 1 : -1] array2;
  float[all(equal(abs(i64vec3(np.int64(-5)l, np.int64(-5)l, np.int64(-4)l)), i64vec3(np.int64(5)l, np.int64(5)l, np.int64(4)l))) ? 1 : -1] array3;
  float[all(equal(abs(i64vec3(np.int64(-4)l, np.int64(-3)l, np.int64(-3)l)), i64vec3(np.int64(4)l, np.int64(3)l, np.int64(3)l))) ? 1 : -1] array4;
  float[all(equal(abs(i64vec3(np.int64(-2)l, np.int64(-2)l, np.int64(-1)l)), i64vec3(np.int64(2)l, np.int64(2)l, np.int64(1)l))) ? 1 : -1] array5;
  float[all(equal(abs(i64vec3(np.int64(-1)l, np.int64(-1)l, np.int64(0)l)), i64vec3(np.int64(1)l, np.int64(1)l, np.int64(0)l))) ? 1 : -1] array6;
  float[all(equal(abs(i64vec3(np.int64(0)l, np.int64(0)l, np.int64(0)l)), i64vec3(np.int64(0)l, np.int64(0)l, np.int64(0)l))) ? 1 : -1] array7;
  float[all(equal(abs(i64vec3(np.int64(1)l, np.int64(1)l, np.int64(2)l)), i64vec3(np.int64(1)l, np.int64(1)l, np.int64(2)l))) ? 1 : -1] array8;
  float[all(equal(abs(i64vec3(np.int64(2)l, np.int64(3)l, np.int64(3)l)), i64vec3(np.int64(2)l, np.int64(3)l, np.int64(3)l))) ? 1 : -1] array9;
  float[all(equal(abs(i64vec3(np.int64(4)l, np.int64(4)l, np.int64(5)l)), i64vec3(np.int64(4)l, np.int64(4)l, np.int64(5)l))) ? 1 : -1] array10;
  float[all(equal(abs(i64vec3(np.int64(5)l, np.int64(6)l, np.int64(6)l)), i64vec3(np.int64(5)l, np.int64(6)l, np.int64(6)l))) ? 1 : -1] array11;
  float[all(equal(abs(i64vec3(np.int64(6)l, np.int64(7)l, np.int64(7)l)), i64vec3(np.int64(6)l, np.int64(7)l, np.int64(7)l))) ? 1 : -1] array12;
  float[all(equal(abs(i64vec3(np.int64(8)l, np.int64(8)l, np.int64(9)l)), i64vec3(np.int64(8)l, np.int64(8)l, np.int64(9)l))) ? 1 : -1] array13;
  float[all(equal(abs(i64vec3(np.int64(9)l, np.int64(10)l, np.int64(10)l)), i64vec3(np.int64(9)l, np.int64(10)l, np.int64(10)l))) ? 1 : -1] array14;
  float[all(equal(abs(i64vec3(np.int64(11)l, np.int64(11)l, np.int64(12)l)), i64vec3(np.int64(11)l, np.int64(11)l, np.int64(12)l))) ? 1 : -1] array15;
  float[all(equal(abs(i64vec3(np.int64(12)l, np.int64(13)l, np.int64(13)l)), i64vec3(np.int64(12)l, np.int64(13)l, np.int64(13)l))) ? 1 : -1] array16;
  float[all(equal(abs(i64vec3(np.int64(14)l, np.int64(14)l, np.int64(15)l)), i64vec3(np.int64(14)l, np.int64(14)l, np.int64(15)l))) ? 1 : -1] array17;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length());
}
