/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) + u64vec2(np.uint64(10)ul, np.uint64(12)ul)) => u64vec2(np.uint64(20)ul, np.uint64(24)ul)
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) + u64vec2(np.uint64(42)ul, np.uint64(48)ul)) => u64vec2(np.uint64(52)ul, np.uint64(60)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) + u64vec2(np.uint64(10)ul, np.uint64(12)ul)) => u64vec2(np.uint64(52)ul, np.uint64(60)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) + u64vec2(np.uint64(42)ul, np.uint64(48)ul)) => u64vec2(np.uint64(84)ul, np.uint64(96)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) + u64vec2(np.uint64(10)ul, np.uint64(12)ul)), u64vec2(np.uint64(20)ul, np.uint64(24)ul))) ? 1 : -1] array0;
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) + u64vec2(np.uint64(42)ul, np.uint64(48)ul)), u64vec2(np.uint64(52)ul, np.uint64(60)ul))) ? 1 : -1] array1;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) + u64vec2(np.uint64(10)ul, np.uint64(12)ul)), u64vec2(np.uint64(52)ul, np.uint64(60)ul))) ? 1 : -1] array2;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) + u64vec2(np.uint64(42)ul, np.uint64(48)ul)), u64vec2(np.uint64(84)ul, np.uint64(96)ul))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
