/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * length(vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => np.float32(2.965451)
 * length(vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => np.float32(0.9605207)
 */
#version 120

void main()
{
  float[distance(length(vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), np.float32(2.965451)) <= np.float32(2.965451e-05) ? 1 : -1] array0;
  float[distance(length(vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), np.float32(0.9605207)) <= np.float32(9.605207e-06) ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
