/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * log(vec2(np.float32(0.01), np.float32(0.67333335))) => vec2(np.float32(-4.6051702), np.float32(-0.39551476))
 * log(vec2(np.float32(1.3366667), np.float32(2.0))) => vec2(np.float32(0.29017898), np.float32(0.6931472))
 */
#version 120

void main()
{
  float[distance(log(vec2(np.float32(0.01), np.float32(0.67333335))), vec2(np.float32(-4.6051702), np.float32(-0.39551476))) <= np.float32(4.6221234e-05) ? 1 : -1] array0;
  float[distance(log(vec2(np.float32(1.3366667), np.float32(2.0))), vec2(np.float32(0.29017898), np.float32(0.6931472))) <= np.float32(7.5143657e-06) ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
