/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * sqrt(vec3(np.float32(0.0), np.float32(0.6666667), np.float32(1.3333334))) => vec3(np.float32(0.0), np.float32(0.8164966), np.float32(1.1547005))
 * sqrt(vec3(np.float32(2.0), np.float32(0.0), np.float32(0.6666667))) => vec3(np.float32(1.4142135), np.float32(0.0), np.float32(0.8164966))
 */
#version 120

void main()
{
  float[distance(sqrt(vec3(np.float32(0.0), np.float32(0.6666667), np.float32(1.3333334))), vec3(np.float32(0.0), np.float32(0.8164966), np.float32(1.1547005))) <= np.float32(1.4142136e-05) ? 1 : -1] array0;
  float[distance(sqrt(vec3(np.float32(2.0), np.float32(0.0), np.float32(0.6666667))), vec3(np.float32(1.4142135), np.float32(0.0), np.float32(0.8164966))) <= np.float32(1.6329932e-05) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
