/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (~ ivec2(np.int32(38), np.int32(35))) => ivec2(np.int32(-39), np.int32(-36))
 * (~ ivec2(np.int32(64), np.int32(-9))) => ivec2(np.int32(-65), np.int32(8))
 * (~ ivec2(np.int32(64), np.int32(9))) => ivec2(np.int32(-65), np.int32(-10))
 */
#version 130

void main()
{
  float[all(equal((~ ivec2(np.int32(38), np.int32(35))), ivec2(np.int32(-39), np.int32(-36)))) ? 1 : -1] array0;
  float[all(equal((~ ivec2(np.int32(64), np.int32(-9))), ivec2(np.int32(-65), np.int32(8)))) ? 1 : -1] array1;
  float[all(equal((~ ivec2(np.int32(64), np.int32(9))), ivec2(np.int32(-65), np.int32(-10)))) ? 1 : -1] array2;
  gl_Position = vec4(array0.length() + array1.length() + array2.length());
}
