/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (false ? np.uint32(0)u : np.uint32(0)u) => np.uint32(0)u
 * (false ? np.uint32(0)u : np.uint32(6)u) => np.uint32(6)u
 * (false ? np.uint32(0)u : np.uint32(12)u) => np.uint32(12)u
 * (false ? np.uint32(0)u : np.uint32(32)u) => np.uint32(32)u
 * (false ? np.uint32(0)u : np.uint32(74)u) => np.uint32(74)u
 * (false ? np.uint32(6)u : np.uint32(0)u) => np.uint32(0)u
 * (false ? np.uint32(6)u : np.uint32(6)u) => np.uint32(6)u
 * (false ? np.uint32(6)u : np.uint32(12)u) => np.uint32(12)u
 * (false ? np.uint32(6)u : np.uint32(32)u) => np.uint32(32)u
 * (false ? np.uint32(6)u : np.uint32(74)u) => np.uint32(74)u
 * (false ? np.uint32(12)u : np.uint32(0)u) => np.uint32(0)u
 * (false ? np.uint32(12)u : np.uint32(6)u) => np.uint32(6)u
 * (false ? np.uint32(12)u : np.uint32(12)u) => np.uint32(12)u
 * (false ? np.uint32(12)u : np.uint32(32)u) => np.uint32(32)u
 * (false ? np.uint32(12)u : np.uint32(74)u) => np.uint32(74)u
 * (false ? np.uint32(32)u : np.uint32(0)u) => np.uint32(0)u
 * (false ? np.uint32(32)u : np.uint32(6)u) => np.uint32(6)u
 * (false ? np.uint32(32)u : np.uint32(12)u) => np.uint32(12)u
 * (false ? np.uint32(32)u : np.uint32(32)u) => np.uint32(32)u
 * (false ? np.uint32(32)u : np.uint32(74)u) => np.uint32(74)u
 * (false ? np.uint32(74)u : np.uint32(0)u) => np.uint32(0)u
 * (false ? np.uint32(74)u : np.uint32(6)u) => np.uint32(6)u
 * (false ? np.uint32(74)u : np.uint32(12)u) => np.uint32(12)u
 * (false ? np.uint32(74)u : np.uint32(32)u) => np.uint32(32)u
 * (false ? np.uint32(74)u : np.uint32(74)u) => np.uint32(74)u
 * (true ? np.uint32(0)u : np.uint32(0)u) => np.uint32(0)u
 * (true ? np.uint32(0)u : np.uint32(6)u) => np.uint32(0)u
 * (true ? np.uint32(0)u : np.uint32(12)u) => np.uint32(0)u
 * (true ? np.uint32(0)u : np.uint32(32)u) => np.uint32(0)u
 * (true ? np.uint32(0)u : np.uint32(74)u) => np.uint32(0)u
 * (true ? np.uint32(6)u : np.uint32(0)u) => np.uint32(6)u
 * (true ? np.uint32(6)u : np.uint32(6)u) => np.uint32(6)u
 * (true ? np.uint32(6)u : np.uint32(12)u) => np.uint32(6)u
 * (true ? np.uint32(6)u : np.uint32(32)u) => np.uint32(6)u
 * (true ? np.uint32(6)u : np.uint32(74)u) => np.uint32(6)u
 * (true ? np.uint32(12)u : np.uint32(0)u) => np.uint32(12)u
 * (true ? np.uint32(12)u : np.uint32(6)u) => np.uint32(12)u
 * (true ? np.uint32(12)u : np.uint32(12)u) => np.uint32(12)u
 * (true ? np.uint32(12)u : np.uint32(32)u) => np.uint32(12)u
 * (true ? np.uint32(12)u : np.uint32(74)u) => np.uint32(12)u
 * (true ? np.uint32(32)u : np.uint32(0)u) => np.uint32(32)u
 * (true ? np.uint32(32)u : np.uint32(6)u) => np.uint32(32)u
 * (true ? np.uint32(32)u : np.uint32(12)u) => np.uint32(32)u
 * (true ? np.uint32(32)u : np.uint32(32)u) => np.uint32(32)u
 * (true ? np.uint32(32)u : np.uint32(74)u) => np.uint32(32)u
 * (true ? np.uint32(74)u : np.uint32(0)u) => np.uint32(74)u
 * (true ? np.uint32(74)u : np.uint32(6)u) => np.uint32(74)u
 * (true ? np.uint32(74)u : np.uint32(12)u) => np.uint32(74)u
 * (true ? np.uint32(74)u : np.uint32(32)u) => np.uint32(74)u
 * (true ? np.uint32(74)u : np.uint32(74)u) => np.uint32(74)u
 */
#version 130

void main()
{
  float[(false ? np.uint32(0)u : np.uint32(0)u) == np.uint32(0)u ? 1 : -1] array0;
  float[(false ? np.uint32(0)u : np.uint32(6)u) == np.uint32(6)u ? 1 : -1] array1;
  float[(false ? np.uint32(0)u : np.uint32(12)u) == np.uint32(12)u ? 1 : -1] array2;
  float[(false ? np.uint32(0)u : np.uint32(32)u) == np.uint32(32)u ? 1 : -1] array3;
  float[(false ? np.uint32(0)u : np.uint32(74)u) == np.uint32(74)u ? 1 : -1] array4;
  float[(false ? np.uint32(6)u : np.uint32(0)u) == np.uint32(0)u ? 1 : -1] array5;
  float[(false ? np.uint32(6)u : np.uint32(6)u) == np.uint32(6)u ? 1 : -1] array6;
  float[(false ? np.uint32(6)u : np.uint32(12)u) == np.uint32(12)u ? 1 : -1] array7;
  float[(false ? np.uint32(6)u : np.uint32(32)u) == np.uint32(32)u ? 1 : -1] array8;
  float[(false ? np.uint32(6)u : np.uint32(74)u) == np.uint32(74)u ? 1 : -1] array9;
  float[(false ? np.uint32(12)u : np.uint32(0)u) == np.uint32(0)u ? 1 : -1] array10;
  float[(false ? np.uint32(12)u : np.uint32(6)u) == np.uint32(6)u ? 1 : -1] array11;
  float[(false ? np.uint32(12)u : np.uint32(12)u) == np.uint32(12)u ? 1 : -1] array12;
  float[(false ? np.uint32(12)u : np.uint32(32)u) == np.uint32(32)u ? 1 : -1] array13;
  float[(false ? np.uint32(12)u : np.uint32(74)u) == np.uint32(74)u ? 1 : -1] array14;
  float[(false ? np.uint32(32)u : np.uint32(0)u) == np.uint32(0)u ? 1 : -1] array15;
  float[(false ? np.uint32(32)u : np.uint32(6)u) == np.uint32(6)u ? 1 : -1] array16;
  float[(false ? np.uint32(32)u : np.uint32(12)u) == np.uint32(12)u ? 1 : -1] array17;
  float[(false ? np.uint32(32)u : np.uint32(32)u) == np.uint32(32)u ? 1 : -1] array18;
  float[(false ? np.uint32(32)u : np.uint32(74)u) == np.uint32(74)u ? 1 : -1] array19;
  float[(false ? np.uint32(74)u : np.uint32(0)u) == np.uint32(0)u ? 1 : -1] array20;
  float[(false ? np.uint32(74)u : np.uint32(6)u) == np.uint32(6)u ? 1 : -1] array21;
  float[(false ? np.uint32(74)u : np.uint32(12)u) == np.uint32(12)u ? 1 : -1] array22;
  float[(false ? np.uint32(74)u : np.uint32(32)u) == np.uint32(32)u ? 1 : -1] array23;
  float[(false ? np.uint32(74)u : np.uint32(74)u) == np.uint32(74)u ? 1 : -1] array24;
  float[(true ? np.uint32(0)u : np.uint32(0)u) == np.uint32(0)u ? 1 : -1] array25;
  float[(true ? np.uint32(0)u : np.uint32(6)u) == np.uint32(0)u ? 1 : -1] array26;
  float[(true ? np.uint32(0)u : np.uint32(12)u) == np.uint32(0)u ? 1 : -1] array27;
  float[(true ? np.uint32(0)u : np.uint32(32)u) == np.uint32(0)u ? 1 : -1] array28;
  float[(true ? np.uint32(0)u : np.uint32(74)u) == np.uint32(0)u ? 1 : -1] array29;
  float[(true ? np.uint32(6)u : np.uint32(0)u) == np.uint32(6)u ? 1 : -1] array30;
  float[(true ? np.uint32(6)u : np.uint32(6)u) == np.uint32(6)u ? 1 : -1] array31;
  float[(true ? np.uint32(6)u : np.uint32(12)u) == np.uint32(6)u ? 1 : -1] array32;
  float[(true ? np.uint32(6)u : np.uint32(32)u) == np.uint32(6)u ? 1 : -1] array33;
  float[(true ? np.uint32(6)u : np.uint32(74)u) == np.uint32(6)u ? 1 : -1] array34;
  float[(true ? np.uint32(12)u : np.uint32(0)u) == np.uint32(12)u ? 1 : -1] array35;
  float[(true ? np.uint32(12)u : np.uint32(6)u) == np.uint32(12)u ? 1 : -1] array36;
  float[(true ? np.uint32(12)u : np.uint32(12)u) == np.uint32(12)u ? 1 : -1] array37;
  float[(true ? np.uint32(12)u : np.uint32(32)u) == np.uint32(12)u ? 1 : -1] array38;
  float[(true ? np.uint32(12)u : np.uint32(74)u) == np.uint32(12)u ? 1 : -1] array39;
  float[(true ? np.uint32(32)u : np.uint32(0)u) == np.uint32(32)u ? 1 : -1] array40;
  float[(true ? np.uint32(32)u : np.uint32(6)u) == np.uint32(32)u ? 1 : -1] array41;
  float[(true ? np.uint32(32)u : np.uint32(12)u) == np.uint32(32)u ? 1 : -1] array42;
  float[(true ? np.uint32(32)u : np.uint32(32)u) == np.uint32(32)u ? 1 : -1] array43;
  float[(true ? np.uint32(32)u : np.uint32(74)u) == np.uint32(32)u ? 1 : -1] array44;
  float[(true ? np.uint32(74)u : np.uint32(0)u) == np.uint32(74)u ? 1 : -1] array45;
  float[(true ? np.uint32(74)u : np.uint32(6)u) == np.uint32(74)u ? 1 : -1] array46;
  float[(true ? np.uint32(74)u : np.uint32(12)u) == np.uint32(74)u ? 1 : -1] array47;
  float[(true ? np.uint32(74)u : np.uint32(32)u) == np.uint32(74)u ? 1 : -1] array48;
  float[(true ? np.uint32(74)u : np.uint32(74)u) == np.uint32(74)u ? 1 : -1] array49;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length() + array25.length() + array26.length() + array27.length() + array28.length() + array29.length() + array30.length() + array31.length() + array32.length() + array33.length() + array34.length() + array35.length() + array36.length() + array37.length() + array38.length() + array39.length() + array40.length() + array41.length() + array42.length() + array43.length() + array44.length() + array45.length() + array46.length() + array47.length() + array48.length() + array49.length());
}
