/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.uint32(0)u - np.uint32(0)u) => np.uint32(0)u
 * (np.uint32(0)u - np.uint32(6)u) => np.uint32(4294967290)u
 * (np.uint32(0)u - np.uint32(12)u) => np.uint32(4294967284)u
 * (np.uint32(0)u - np.uint32(32)u) => np.uint32(4294967264)u
 * (np.uint32(0)u - np.uint32(74)u) => np.uint32(4294967222)u
 * (np.uint32(6)u - np.uint32(0)u) => np.uint32(6)u
 * (np.uint32(6)u - np.uint32(6)u) => np.uint32(0)u
 * (np.uint32(6)u - np.uint32(12)u) => np.uint32(4294967290)u
 * (np.uint32(6)u - np.uint32(32)u) => np.uint32(4294967270)u
 * (np.uint32(6)u - np.uint32(74)u) => np.uint32(4294967228)u
 * (np.uint32(12)u - np.uint32(0)u) => np.uint32(12)u
 * (np.uint32(12)u - np.uint32(6)u) => np.uint32(6)u
 * (np.uint32(12)u - np.uint32(12)u) => np.uint32(0)u
 * (np.uint32(12)u - np.uint32(32)u) => np.uint32(4294967276)u
 * (np.uint32(12)u - np.uint32(74)u) => np.uint32(4294967234)u
 * (np.uint32(32)u - np.uint32(0)u) => np.uint32(32)u
 * (np.uint32(32)u - np.uint32(6)u) => np.uint32(26)u
 * (np.uint32(32)u - np.uint32(12)u) => np.uint32(20)u
 * (np.uint32(32)u - np.uint32(32)u) => np.uint32(0)u
 * (np.uint32(32)u - np.uint32(74)u) => np.uint32(4294967254)u
 * (np.uint32(74)u - np.uint32(0)u) => np.uint32(74)u
 * (np.uint32(74)u - np.uint32(6)u) => np.uint32(68)u
 * (np.uint32(74)u - np.uint32(12)u) => np.uint32(62)u
 * (np.uint32(74)u - np.uint32(32)u) => np.uint32(42)u
 * (np.uint32(74)u - np.uint32(74)u) => np.uint32(0)u
 */
#version 130

void main()
{
  float[(np.uint32(0)u - np.uint32(0)u) == np.uint32(0)u ? 1 : -1] array0;
  float[(np.uint32(0)u - np.uint32(6)u) == np.uint32(4294967290)u ? 1 : -1] array1;
  float[(np.uint32(0)u - np.uint32(12)u) == np.uint32(4294967284)u ? 1 : -1] array2;
  float[(np.uint32(0)u - np.uint32(32)u) == np.uint32(4294967264)u ? 1 : -1] array3;
  float[(np.uint32(0)u - np.uint32(74)u) == np.uint32(4294967222)u ? 1 : -1] array4;
  float[(np.uint32(6)u - np.uint32(0)u) == np.uint32(6)u ? 1 : -1] array5;
  float[(np.uint32(6)u - np.uint32(6)u) == np.uint32(0)u ? 1 : -1] array6;
  float[(np.uint32(6)u - np.uint32(12)u) == np.uint32(4294967290)u ? 1 : -1] array7;
  float[(np.uint32(6)u - np.uint32(32)u) == np.uint32(4294967270)u ? 1 : -1] array8;
  float[(np.uint32(6)u - np.uint32(74)u) == np.uint32(4294967228)u ? 1 : -1] array9;
  float[(np.uint32(12)u - np.uint32(0)u) == np.uint32(12)u ? 1 : -1] array10;
  float[(np.uint32(12)u - np.uint32(6)u) == np.uint32(6)u ? 1 : -1] array11;
  float[(np.uint32(12)u - np.uint32(12)u) == np.uint32(0)u ? 1 : -1] array12;
  float[(np.uint32(12)u - np.uint32(32)u) == np.uint32(4294967276)u ? 1 : -1] array13;
  float[(np.uint32(12)u - np.uint32(74)u) == np.uint32(4294967234)u ? 1 : -1] array14;
  float[(np.uint32(32)u - np.uint32(0)u) == np.uint32(32)u ? 1 : -1] array15;
  float[(np.uint32(32)u - np.uint32(6)u) == np.uint32(26)u ? 1 : -1] array16;
  float[(np.uint32(32)u - np.uint32(12)u) == np.uint32(20)u ? 1 : -1] array17;
  float[(np.uint32(32)u - np.uint32(32)u) == np.uint32(0)u ? 1 : -1] array18;
  float[(np.uint32(32)u - np.uint32(74)u) == np.uint32(4294967254)u ? 1 : -1] array19;
  float[(np.uint32(74)u - np.uint32(0)u) == np.uint32(74)u ? 1 : -1] array20;
  float[(np.uint32(74)u - np.uint32(6)u) == np.uint32(68)u ? 1 : -1] array21;
  float[(np.uint32(74)u - np.uint32(12)u) == np.uint32(62)u ? 1 : -1] array22;
  float[(np.uint32(74)u - np.uint32(32)u) == np.uint32(42)u ? 1 : -1] array23;
  float[(np.uint32(74)u - np.uint32(74)u) == np.uint32(0)u ? 1 : -1] array24;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length());
}
