/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) % np.int32(12)) => ivec4(np.int32(4), np.int32(0), np.int32(4), np.int32(4))
 * (ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) % np.int32(76)) => ivec4(np.int32(64), np.int32(72), np.int32(12), np.int32(0))
 * (ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) % np.int32(12)) => ivec4(np.int32(0), np.int32(4), np.int32(11), np.int32(4))
 * (ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) % np.int32(76)) => ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))
 */
#version 150

void main()
{
  float[all(equal((ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) % np.int32(12)), ivec4(np.int32(4), np.int32(0), np.int32(4), np.int32(4)))) ? 1 : -1] array0;
  float[all(equal((ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) % np.int32(76)), ivec4(np.int32(64), np.int32(72), np.int32(12), np.int32(0)))) ? 1 : -1] array1;
  float[all(equal((ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) % np.int32(12)), ivec4(np.int32(0), np.int32(4), np.int32(11), np.int32(4)))) ? 1 : -1] array2;
  float[all(equal((ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) % np.int32(76)), ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
