/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * determinant(dmat3(np.float64(-1.11)lf, np.float64(0.13)lf, np.float64(0.56)lf, np.float64(1.67)lf, np.float64(1.09)lf, np.float64(0.95)lf, np.float64(-0.41)lf, np.float64(-0.02)lf, np.float64(0.24)lf)) => np.float64(-0.18264500000000009)lf
 * determinant(dmat3(np.float64(-1.69)lf, np.float64(-1.09)lf, np.float64(-1.53)lf, np.float64(-0.46)lf, np.float64(1.75)lf, np.float64(-0.7)lf, np.float64(-0.18)lf, np.float64(2.0)lf, np.float64(-1.47)lf)) => np.float64(3.506892999999999)lf
 */
#version 400

void main()
{
  double[distance(determinant(dmat3(np.float64(-1.11)lf, np.float64(0.13)lf, np.float64(0.56)lf, np.float64(1.67)lf, np.float64(1.09)lf, np.float64(0.95)lf, np.float64(-0.41)lf, np.float64(-0.02)lf, np.float64(0.24)lf)), np.float64(-0.18264500000000009)lf) <= np.float64(1.826450000000001e-06)lf ? 1 : -1] array0;
  double[distance(determinant(dmat3(np.float64(-1.69)lf, np.float64(-1.09)lf, np.float64(-1.53)lf, np.float64(-0.46)lf, np.float64(1.75)lf, np.float64(-0.7)lf, np.float64(-0.18)lf, np.float64(2.0)lf, np.float64(-1.47)lf)), np.float64(3.506892999999999)lf) <= np.float64(3.5068929999999994e-05)lf ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
